Check Blocking Rules
curl --request GET \
--url https://www.corgea.app/api/v1/scan/{scan_id}/check_blocking_rules \
--header 'CORGEA-TOKEN: <api-key>'import requests
url = "https://www.corgea.app/api/v1/scan/{scan_id}/check_blocking_rules"
headers = {"CORGEA-TOKEN": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'CORGEA-TOKEN': '<api-key>'}};
fetch('https://www.corgea.app/api/v1/scan/{scan_id}/check_blocking_rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.corgea.app/api/v1/scan/{scan_id}/check_blocking_rules",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"CORGEA-TOKEN: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://www.corgea.app/api/v1/scan/{scan_id}/check_blocking_rules"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("CORGEA-TOKEN", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://www.corgea.app/api/v1/scan/{scan_id}/check_blocking_rules")
.header("CORGEA-TOKEN", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.corgea.app/api/v1/scan/{scan_id}/check_blocking_rules")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["CORGEA-TOKEN"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"block": true,
"status": "pending",
"blocking_issues": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"triggered_by_rules": [
"<string>"
]
}
],
"stats": {
"total_issues": 123,
"blocked_issues": 123
},
"page": 123,
"total_pages": 123
}{
"error": "Permission denied"
}{
"error": "SAST scan not found"
}Scans
Check Blocking Rules
Check if scan issues violate any blocking rules
GET
/
scan
/
{scan_id}
/
check_blocking_rules
Check Blocking Rules
curl --request GET \
--url https://www.corgea.app/api/v1/scan/{scan_id}/check_blocking_rules \
--header 'CORGEA-TOKEN: <api-key>'import requests
url = "https://www.corgea.app/api/v1/scan/{scan_id}/check_blocking_rules"
headers = {"CORGEA-TOKEN": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'CORGEA-TOKEN': '<api-key>'}};
fetch('https://www.corgea.app/api/v1/scan/{scan_id}/check_blocking_rules', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.corgea.app/api/v1/scan/{scan_id}/check_blocking_rules",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"CORGEA-TOKEN: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://www.corgea.app/api/v1/scan/{scan_id}/check_blocking_rules"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("CORGEA-TOKEN", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://www.corgea.app/api/v1/scan/{scan_id}/check_blocking_rules")
.header("CORGEA-TOKEN", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.corgea.app/api/v1/scan/{scan_id}/check_blocking_rules")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["CORGEA-TOKEN"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"block": true,
"status": "pending",
"blocking_issues": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "<string>",
"triggered_by_rules": [
"<string>"
]
}
],
"stats": {
"total_issues": 123,
"blocked_issues": 123
},
"page": 123,
"total_pages": 123
}{
"error": "Permission denied"
}{
"error": "SAST scan not found"
}Authorizations
CorgeaTokenBearerAuth
API key for authentication API tokens belonging to inactive users are rejected.
Path Parameters
The ID of the scan
Query Parameters
The page number for pagination
The number of results per page
Required range:
x <= 50Response
Blocking rules check completed
Whether the scan is blocked by any rules
Whether blocking-rule evaluation is still waiting for dependency license data or is complete
Available options:
pending, complete Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
